Bug 1461239 - Fedora 25, 26, and 27 always think airplane mode is enabled on Atheros AR5212/Lenovo R61
Summary: Fedora 25, 26, and 27 always think airplane mode is enabled on Atheros AR5212...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: network-manager-applet
Version: 27
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Lubomir Rintel
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-06-14 02:50 UTC by wallyk
Modified: 2018-11-30 18:41 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 18:41:53 UTC
Type: Bug


Attachments (Terms of Use)

Description wallyk 2017-06-14 02:50:19 UTC
Description of problem:

Using a Lenovo R61 laptop which has worked great with Fedora 20, 21, 22, 23, and 24.  When I upgraded to Fedora 25, the WiFi did not work.  I discovered it was because it was (presumably) misreading the hardware airplane mode switch.

$ rfkill list 
0: phy0: Wireless LAN
    Soft blocked: no
    Hard blocked: yes

Because I had just upgraded, there were kernel versions from Fedora 24 available to boot.  I tried all the combinations of kernel version and airplane mode switch at boot up.  It always thought airplane mode was asserted.

I posted my problem as https://ask.fedoraproject.org/en/question/97479/fedora-25-always-thinks-airplane-mode-is-enabled/ but did not get a solution.  Only two other people I know of experienced the same problem but both with an HP spectre x360.


Version-Release number of selected component (if applicable):

Fedora 25 (all versions) and Fedora 26 beta (Fedora-Workstation-Live-x86_64-26_Beta-1.4.iso).  It does not appear to be a kernel problem.


How reproducible:

100% of tries by booting a Live Image for Fedora 25 or Fedora 26 beta.  Also 100% of tries with Fedora 25 installed.


Steps to Reproduce:

1.  Live boot Fedora 25 or 26 beta
2.  Choose "Try Fedora" and close the app.
3.  Examine gnome status at upper right:  observe airplane icon present.


Actual results:

Unable to disable airplane mode; WiFi functionality absent.


Expected results:

With airplane mode off, WiFi should operate.


Additional info:

It must be a Fedora 25 or 26 component causing the problem; booting a Fedora 24 kernel with Fedora 25 installed exhibited the problem.  Re-installing Fedora 24 actually reads the airplane mode switch and allows WiFi to operate as expected.

With the first login quickly after bootup, there is a short time (15 seconds?) during which airplane mode is not enabled and searching for WiFi networks works.  Once that times out (midst of WiFi password entry or not logging in quickly) no WiFi networks are available and airplane mode turns on.  It does not matter how many times logging in or on what account (even a new one) airplane mode is always on.  Rebooting resets the short window of no airplane mode.

Comment 1 Thomas Haller 2017-06-14 08:52:17 UTC
   Hard blocked: yes

this is usually controlled by your hardware. Usually you would need to press some "Fn" key.
Some laptops have a physical switch, but since your issue depends on the Fedora version, that's obviously not the case.
I wouldn't expect that the hardware block is even set by software. So, it's surpising that it depends on the Fedora version.

Doesn't sound like a NetworkManager problem. Certainly not of applet.

Comment 2 Flo H. 2017-12-01 16:12:17 UTC
What happens if you run a 

`rfkill unblock all`

?

Comment 3 wallyk 2017-12-02 20:45:21 UTC
The command `rfkill unblock all` runs silently, but no change in airplane mode, and the output of `rfkill list` still shows `hard blocked: yes`.

Comment 4 wallyk 2017-12-02 20:53:38 UTC
@Thomas:  On the Lenovo R61, there is a keyboard icon with a laptop emitting radiation out both sides.  (Could double as speakers on/off I suppose.)  When I press Fn+F5, Fedora temporarily displays a "status window" (similar to battery status, brightness change, or select monitor) with an aircraft icon and text "Hardware Airplane M...".

Since the window is fleeting and not part of the X GUI, I can't grab it, resize, it, or screen capture it.  But there is no discernible effect nor message in `dmesg`.

Comment 5 wallyk 2017-12-02 20:56:06 UTC
The wifi hardware details (via lshw) are:

       *-network
            description: Wireless interface
            product: AR5212 802.11abg NIC
            vendor: Qualcomm Atheros
            physical id: 0
            bus info: pci@0000:03:00.0
            logical name: wls3
            version: 01
            serial: 00:1d:d9:3f:b8:c7
            width: 64 bits
            clock: 33MHz
            capabilities: pm msi pciexpress msix bus_master cap_list ethernet physical wireless
            configuration: broadcast=yes driver=ath5k driverversion=4.11.10-100.fc24.x86_64 firmware=N/A ip=192.168.1.3 latency=0 link=yes multicast=yes wireless=IEEE 802.11
            resources: irq:17 memory:df3f0000-df3fffff

Comment 6 wallyk 2017-12-11 16:42:18 UTC
First noticed the problem after upgrading to Fedora 25.  Worked hard to find a fix or workaround, but eventually did the painful reinstall of F24 to have a functional laptop.  Details at https://ask.fedoraproject.org/en/question/97479/fedora-25-always-thinks-airplane-mode-is-enabled/

Since then I have tried "live" Fedora with editions 25, 26, and 27 including some alphas and betas.  Conclusion:  some change present beginning in F25 does not correctly sense the "airplane mode" hardware setting.  It seems to be looking at the wrong bit because changing the hardware switch and/or toggling the keyboard Fn+F5 setting does not affect the its opinion of airplane mode.

Comment 7 Ben Cotton 2018-11-27 17:52:16 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Ben Cotton 2018-11-30 18:41:53 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.